# typedef EnumField

#### package haxe.macro

#### import haxe.macro.Type

Available on Neko

Represents an enum constructor.

### Properties

###

`doc:Null<String>`

The associated documentation of the enum constructor.

###

`index:Int`

The index of the enum constructor, i.e. in which position it appears in the syntax.

###

`meta:MetaAccess`

The metadata of the enum constructor.

###

`name:String`

The name of the enum constructor.

###

`params:Array<TypeParameter>`

The type parameters of the enum constructor.

###

`pos:Position`

The position of the enum constructor.

###

`type:Type`

The type of the enum constructor.